Bulk Update Jobs
curl --request PATCH \
--url https://api.tread-horizon.com/v1/jobs/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"data": {
"notes": "<string>",
"job_start_at": "2023-11-07T05:31:56Z",
"requested_loads_count": 13,
"requested_equipment_type_name": "<string>",
"load": {
"quantity": 123
},
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipment_type_gross_capacity": 123,
"foreman_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collaborator_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"salesperson_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"waypoints": [
{
"type": "pickup",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordinality": 123,
"contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
}
}
],
"unit_of_measure": "Load",
"driver_rate_value": 123,
"driver_rate_type": "RatePerHour",
"vendor_rate_value": 123,
"vendor_rate_type": "RatePerHour",
"recurring_loads": true,
"quantity": 123
}
}
'import requests
url = "https://api.tread-horizon.com/v1/jobs/bulk_update"
payload = {
"job_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"data": {
"notes": "<string>",
"job_start_at": "2023-11-07T05:31:56Z",
"requested_loads_count": 13,
"requested_equipment_type_name": "<string>",
"load": { "quantity": 123 },
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipment_type_gross_capacity": 123,
"foreman_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"collaborator_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"salesperson_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"waypoints": [
{
"type": "pickup",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordinality": 123,
"contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
}
}
],
"unit_of_measure": "Load",
"driver_rate_value": 123,
"driver_rate_type": "RatePerHour",
"vendor_rate_value": 123,
"vendor_rate_type": "RatePerHour",
"recurring_loads": True,
"quantity": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
data: {
notes: '<string>',
job_start_at: '2023-11-07T05:31:56Z',
requested_loads_count: 13,
requested_equipment_type_name: '<string>',
load: {quantity: 123},
material_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
equipment_type_gross_capacity: 123,
foreman_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
collaborator_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
salesperson_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
waypoints: [
{
type: 'pickup',
site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ordinality: 123,
contact: {name: '<string>', email: '<string>', phone: '+18885551234'}
}
],
unit_of_measure: 'Load',
driver_rate_value: 123,
driver_rate_type: 'RatePerHour',
vendor_rate_value: 123,
vendor_rate_type: 'RatePerHour',
recurring_loads: true,
quantity: 123
}
})
};
fetch('https://api.tread-horizon.com/v1/jobs/bulk_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}Jobs
Bulk Update Jobs
Bulk update multiple Jobs with attributes defined in data asynchronously.
This endpoint requires the edit_job permission.
Bulk Updatable attributes: notes
PATCH
/
v1
/
jobs
/
bulk_update
Bulk Update Jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Response
Accepted
The response is of type object.
⌘I